## org.apache.lucene.document
Class DateField

    java.lang.Object
      org.apache.lucene.document.DateField

Deprecated. If you build a new index, use `DateTools` or `NumericField` instead. This class is included for use with existing indices and will be removed in a future release.

    public class DateField

extends java.lang.Object

Provides support for converting dates to strings and vice-versa. The strings are structured so that lexicographic sorting orders by date, which makes them suitable for use as field values and search terms.

Note that this class saves dates with millisecond granularity, which is bad for `TermRangeQuery` and `PrefixQuery`, as those queries are expanded to a BooleanQuery with a potentially large number of terms when searching. Thus you might want to use `DateTools` instead.

Note: dates before 1970 cannot be used, and therefore cannot be indexed when using this class. See `DateTools` for an alternative without such a limitation.

Another approach is `NumericUtils`, which provides a sortable binary representation (prefix encoded) of numeric values, which date/time are. For indexing a `Date` or `Calendar`, just get the unix timestamp as `long` using `Date.getTime()` or `Calendar.getTimeInMillis()` and index this as a numeric value with `NumericField` and use `NumericRangeQuery` to query it.

Method Summary
`static java.lang.String` `dateToString(java.util.Date date)` Deprecated. Converts a Date to a string suitable for indexing.
`static java.lang.String` `MAX_DATE_STRING()` Deprecated.
`static java.lang.String` `MIN_DATE_STRING()` Deprecated.
`static java.util.Date` `stringToDate(java.lang.String s)` Deprecated. Converts a string-encoded date into a Date object.
`static long` `stringToTime(java.lang.String s)` Deprecated. Converts a string-encoded date into a millisecond time.
`static java.lang.String` `timeToString(long time)` Deprecated. Converts a millisecond time to a string suitable for indexing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### MIN_DATE_STRING

    public static java.lang.String MIN_DATE_STRING()

  Deprecated.

### MAX_DATE_STRING

    public static java.lang.String MAX_DATE_STRING()

  Deprecated.

### dateToString

    public static java.lang.String dateToString(java.util.Date date)

  Deprecated.
  Converts a Date to a string suitable for indexing.

  Throws:
    `java.lang.RuntimeException` - if the date specified in the method argument is before 1970

### timeToString

    public static java.lang.String timeToString(long time)

  Deprecated.
  Converts a millisecond time to a string suitable for indexing.

  Throws:
    `java.lang.RuntimeException` - if the time specified in the method argument is negative, that is, before 1970

### stringToTime

    public static long stringToTime(java.lang.String s)

  Deprecated.
  Converts a string-encoded date into a millisecond time.

### stringToDate

    public static java.util.Date stringToDate(java.lang.String s)

  Deprecated.
  Converts a string-encoded date into a Date object.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.